Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io.binary
Class Token.MapIdToValue

    java.lang.Object
      com.thoughtworks.xstream.io.binary.Token
          com.thoughtworks.xstream.io.binary.Token.MapIdToValue

Enclosing class:
  Token

    public static class Token.MapIdToValue

extends Token

Nested Class Summary

Nested classes/interfaces inherited from class com.thoughtworks.xstream.io.binary.Token
`Token.Attribute, Token.EndNode, Token.Formatter, Token.MapIdToValue, Token.StartNode, Token.Value`

Field Summary

Fields inherited from class com.thoughtworks.xstream.io.binary.Token
`id, TYPE_ATTRIBUTE, TYPE_END_NODE, TYPE_MAP_ID_TO_VALUE, TYPE_START_NODE, TYPE_VALUE, TYPE_VERSION, value`

Constructor Summary
`Token.MapIdToValue()`
`Token.MapIdToValue(long id, String value)`

Method Summary
`void` | `readFrom(DataInput in, byte idType)`
`void` | `writeTo(DataOutput out, byte idType)`

Methods inherited from class com.thoughtworks.xstream.io.binary.Token
`equals, getId, getType, getValue, hashCode, readId, readString, toString, writeId, writeString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Token.MapIdToValue

    public Token.MapIdToValue(long id,
                              String value)

### Token.MapIdToValue

    public Token.MapIdToValue()

Method Detail

### writeTo

    public void writeTo(DataOutput out,
                        byte idType)
                 throws IOException

  Specified by:
    `writeTo` in class `Token`
  Throws:
    `IOException`

### readFrom

    public void readFrom(DataInput in,
                         byte idType)
                  throws IOException

  Specified by:
    `readFrom` in class `Token`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.